%global dlrn_nvr tripleo-heat-templates-11.3.1.dev108-0.20191202212740.a4800ba
%global dlrn 1
%define upstream_version 11.3.1.dev108
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

# guard for package OSP does not support
%global rhosp 1

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           openstack-tripleo-heat-templates
Summary:        Heat templates for TripleO
Version: 11.3.1
Release: 0.20191202212740.a4800ba%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-heat-templates-11.3.1.dev108-0.20191202212740.a4800ba.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=a4800bab9d4df58904c800cc3246e702e6df3552
Patch0001: 0001-Disable-Docker-by-default-enable-Podman-by-default.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Enable-HA-Podman-by-default.patch
Patch0003: 0003-DOWNSTREAM-ONLY-Removal-of-Director-deployed-OCP.patch
Patch0004: 0004-remove-references-to-Skydive.patch
Patch0005: 0005-Keep-the-default-mapping-for-skydive.patch

BuildArch:      noarch
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

Requires:       ansible-pacemaker
Requires:       ansible-tripleo-ipsec
Requires:       ansible-role-atos-hsm
Requires:       ansible-role-container-registry
Requires:       ansible-role-chrony
Requires:       ansible-role-thales-hsm
Requires:       python%{pyver}-paunch
Requires:       python%{pyver}-jinja2
Requires:       python%{pyver}-six
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       tripleo-ansible
%if %{pyver} == 2
Requires:       PyYAML
%else
Requires:       python%{pyver}-PyYAML
%endif
%if 0%{rhosp} == 1
Requires:       ansible-role-redhat-subscription
%endif

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

# Replace "env python" shebag to the correct python executable for the system
# if we don't do that brp-mangle-shebangs will change it to python2
for python_script in $(grep "/usr/bin/env python" . -rl)
do
    sed -i "s#/usr/bin/env python.*#/usr/bin/%{pyver_bin}#g" $python_script
done

%build
%{pyver_build}

%install
%{pyver_install}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar common %{buildroot}/%{_datadir}/%{name}
if [ -d docker ] ; then
  cp -ar docker %{buildroot}/%{_datadir}/%{name}
fi
cp -ar deployment %{buildroot}/%{_datadir}/%{name}

# docker_config_scripts will be removed in Stein
if [ -d docker_config_scripts ]; then
  cp -ar docker_config_scripts %{buildroot}/%{_datadir}/%{name}
fi
if [ -d container_config_scripts ]; then
  cp -ar container_config_scripts %{buildroot}/%{_datadir}/%{name}
fi
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
if [ -d networks ]; then
  cp -ar networks %{buildroot}/%{_datadir}/%{name}
fi
cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
cp -ar deployed-server %{buildroot}/%{_datadir}/%{name}
cp -ar ci %{buildroot}/%{_datadir}/%{name}
cp -ar plan-samples %{buildroot}/%{_datadir}/%{name}
cp -ar roles %{buildroot}/%{_datadir}/%{name}
cp -ar scripts %{buildroot}/%{_datadir}/%{name}
cp -ar tools %{buildroot}/%{_datadir}/%{name}
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{pyver_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{pyver_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

%files
%doc README*
%license LICENSE
%{pyver_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}

%changelog
* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "ml2-ansible: Set api_max_retries when net-ansible is used" into stable/train
- Merge "Derive Pci passthrough whitelist disable option" into stable/train
- Don't set all_nodes data as group_vars in check mode
- ml2-ansible: Set api_max_retries when net-ansible is used
- Derive Pci passthrough whitelist disable option

* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Make sure glance_api_tls_proxy logs are persisted on the host" into stable/train
- Merge "Use '0' instead of root in container-puppet.py" into stable/train
- Use '0' instead of root in container-puppet.py
- Make sure glance_api_tls_proxy logs are persisted on the host

* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Move 'Ensure network service is enabled' after os-net-config has run" into stable/train
- Move 'Ensure network service is enabled' after os-net-config has run

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Force redis::ulimit to be an integer

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Enable healthcheck for ironic-neutron-agent" into stable/train
- Merge "Enable recon middleware for swift account/container server" into stable/train
- Enable healthcheck for ironic-neutron-agent
- Enable recon middleware for swift account/container server

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add the Octavia log offload parameters" into stable/train
- Merge "Add Octavia driver agent service" into stable/train
- Merge "Update scale down to fix regression" into stable/train
- Add Octavia driver agent service
- Update scale down to fix regression
- Add the Octavia log offload parameters

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Don't fail hard when facter cache doesn't work correctly" into stable/train
- Don't fail hard when facter cache doesn't work correctly

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Ensure "network" service is enabled

* Sun Nov 24 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Drop file test before removal

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Check that facter.conf is a file" into stable/train
- Make sure we apply all deploy step-0 during update.
- Check that facter.conf is a file

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add configurable monitor timeouts for ovn dbs" into stable/train
- Merge "Disable legacy telemetry by default" into stable/train
- Disable legacy telemetry by default
- Add configurable monitor timeouts for ovn dbs

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Get rid of docker removing in post_upgrade tasks.

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Fix typo in MySQL upgrade tasks.

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Fix neutron api TLS issues" into stable/train
- Fix neutron api TLS issues

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Incorrect group name issue on non DPDK compute

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "ooo updates/upgrades working well on train, move to vote/gate" into stable/train
- Add NovaAZConfig service to compute roles
- ooo updates/upgrades working well on train, move to vote/gate

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Updates for dcn/dcn-hci sample envs" into stable/train
- Updates for dcn/dcn-hci sample envs

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add ManageNetworks parameter" into stable/train
- Merge "Move KernelArgs and OvS-DPDK deployment to ansible role" into stable/train
- Add ManageNetworks parameter
- Move KernelArgs and OvS-DPDK deployment to ansible role

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Remove odl in ComputeSriovIB" into stable/train
- Merge "Correct mysql-pacemaker upgrade task" into stable/train
- Remove odl in ComputeSriovIB
- Correct mysql-pacemaker upgrade task

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Define ovn_dbs_image fact for upgrades." into stable/train
- Merge "Fix typo in OVN upgrade tasks." into stable/train
- Merge "Fix the amqp presettle option for metrics and events in collectd" into stable/train
- Merge "Adds ceph-systemd tag in external_upgrade_tasks for systemd units" into stable/train
- Fix the amqp presettle option for metrics and events in collectd
- Define ovn_dbs_image fact for upgrades.
- Fix typo in OVN upgrade tasks.
- Adds ceph-systemd tag in external_upgrade_tasks for systemd units

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Fix debug hiera keys" into stable/train
- Fix debug hiera keys

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Remove OpenDaylight templates and environments" into stable/train
- Merge "Do not run rendering all_nodes data as group_vars in check mode" into stable/train
- Merge "Move bootstrap password to an environment var" into stable/train
- Merge "Fix duplicate mount point in neutron_dhcp" into stable/train
- Merge "remove SensuClient from ComputeSriovIB role" into stable/train
- Fix duplicate mount point in neutron_dhcp
- Move bootstrap password to an environment var
- Do not run rendering all_nodes data as group_vars in check mode
- Remove OpenDaylight templates and environments
- remove SensuClient from ComputeSriovIB role

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Mode 0750 for /var/log/containers" into stable/train
- Merge "Disable haproxy when using external LB" into stable/train
- Merge "Add "radvd_user" config parameter to Neutron L3 container" into stable/train
- Mode 0750 for /var/log/containers
- Disable haproxy when using external LB
- Add "radvd_user" config parameter to Neutron L3 container

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Fix "neutron-mlnx-agent.yaml" to use the new Role ComputeSriovIB" into stable/train
- Fix "neutron-mlnx-agent.yaml" to use the new Role ComputeSriovIB

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Install and start Rsyslog on the Undercloud & Standalone" into stable/train
- Install and start Rsyslog on the Undercloud & Standalone

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Honor Debug for container image prepare" into stable/train
- Honor Debug for container image prepare

* Sat Nov 02 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Added the connection_logging parameter for Octavia" into stable/train
- Added the connection_logging parameter for Octavia

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Configure amphora for upload and run tempest

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Correct ovn-dbs upgrade image id variable" into stable/train
- Correct ovn-dbs upgrade image id variable

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Restart certmnonger after registering system with IPA" into stable/train
- Restart certmnonger after registering system with IPA

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- deploy-steps-tasks: remove duplicate "when" for paunch debug

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Simplify octavia post deploy configs" into stable/train
- Simplify octavia post deploy configs

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add posibilities to set ovn_openflow_probe_interval for controller" into stable/train
- Add posibilities to set ovn_openflow_probe_interval for controller

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Deprecate deployed-server-roles-data.yaml" into stable/train
- Merge "Fix placement_wait_for_service" into stable/train
- Deprecate deployed-server-roles-data.yaml
- Fix placement_wait_for_service

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "HA: ensure TRIPLEO_MINOR_UPDATE is defined for <svc>_restart_bundle" into stable/train
- HA: ensure TRIPLEO_MINOR_UPDATE is defined for <svc>_restart_bundle

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Derives NovaPCIPassthrough per SR-IOV node" into stable/train
- Derives NovaPCIPassthrough per SR-IOV node

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Less agressive cleanup of docker containers in post_upgrade_tasks

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Fix missing environment variable in rabbitmq_init_bundle

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Disable ceph dashboard to fix upstream ci

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Keep the default mapping for skydive
- remove references to Skydive (rhbz#1752474)
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix update of non HA container during update."
- Fix update of non HA container during update.

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Undercloud hosts entries in overcloud nodes"
- Merge "Set bridge-nf-call-* values to 1"
- Merge "Revert "Temporaily disable nova inflight healthchecks to unblock the gate""
- Set bridge-nf-call-* values to 1
- Revert "Temporaily disable nova inflight healthchecks to unblock the gate"
- Undercloud hosts entries in overcloud nodes

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Normalise all pacemaker resource upgrade tasks for staged upgrades"
- Merge "Convert container environment from a list to a dict"
- Normalise all pacemaker resource upgrade tasks for staged upgrades
- Convert container environment from a list to a dict

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add ability to collocate pinned and unpinned instance on same host"
- Merge "Add missing step tag in updates/upgrades/ffu tasks"
- Add missing step tag in updates/upgrades/ffu tasks
- Add ability to collocate pinned and unpinned instance on same host

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Add support to configure token caching""
- Revert "Add support to configure token caching"

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Workaround ovn cluster failure during update when schema change."
- Merge "Deprecate kubespray kubernetes install"
- Merge "Add compute role "ComputeSriovIB" for infiniband deployments"
- Deprecate kubespray kubernetes install
- Add compute role "ComputeSriovIB" for infiniband deployments
- Workaround ovn cluster failure during update when schema change.

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Permit access to Ceph RGW for 'member' role"
- Merge "Use OS::TripleO::Services::Logging::NovaLibvirt to configure libvirt logging"
- Merge "Undercloud ctplane router for IPv6 RA's idempotent"
- Merge "Update deprecated name of DockerRsyslogConfigImage"
- Merge "Use parameter for ipv6 address mode"
- Merge "Use update_serial as an ansible variable"
- Merge "Remove python executable print"
- Merge "Add toggle to enable/disable Paunch for a deployment"
- Merge "Ensure nova-api is running before starting nova-compute containers"
- Merge "Fix multiple-nics network config ExternalMtu"
- Merge "Fix double cert mount in haproxy bundle when using tls everywhere"
- Merge "Enable health check for metrics_qdr container"
- Merge "Remove sensu-client service"
- Merge "move multinode scen006 to experimental"
- Merge "Remove Tacker service"
- Merge "Add environments dcn.yaml and dcn-hci.yaml."
- Merge "Add posibilities to configure OVNNorthboundServerPort in split stacks"
- Add toggle to enable/disable Paunch for a deployment
- Use parameter for ipv6 address mode
- Undercloud ctplane router for IPv6 RA's idempotent
- Permit access to Ceph RGW for 'member' role
- Fix multiple-nics network config ExternalMtu
- Add environments dcn.yaml and dcn-hci.yaml.
- Add posibilities to configure OVNNorthboundServerPort in split stacks
- Fix double cert mount in haproxy bundle when using tls everywhere
- Update deprecated name of DockerRsyslogConfigImage
- Ensure nova-api is running before starting nova-compute containers
- Remove sensu-client service
- Use update_serial as an ansible variable
- Use OS::TripleO::Services::Logging::NovaLibvirt to configure libvirt logging
- Remove python executable print
- Remove Tacker service
- move multinode scen006 to experimental
- Enable health check for metrics_qdr container

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix Manila when run without pacemaker"
- Merge "Add DHCPv6 rules + set ipversion for dhcp rules"
- Merge "Collectd-sensubility"
- Fix Manila when run without pacemaker
- Add DHCPv6 rules + set ipversion for dhcp rules
- Collectd-sensubility

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add missing role name to Host prep steps task"
- Merge "Add support to configure token caching"
- Add missing role name to Host prep steps task
- Add support to configure token caching

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Support connecting OVN DB over SSL"
- Support connecting OVN DB over SSL

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix placement of Octavia services in roles"
- Merge "Remove plumgrid support"
- Merge "Move nested bash script into a real file"
- Merge "Prevent running mysql data transfer twice by accident"
- Merge "Deprecate EC2 API"
- Merge "Allow using registry authentication to pull ceph related containers"
- Merge "Replace include_role with import_role"
- Remove plumgrid support
- Move nested bash script into a real file
- Fix placement of Octavia services in roles
- Allow using registry authentication to pull ceph related containers
- Prevent running mysql data transfer twice by accident
- Replace include_role with import_role
- Deprecate EC2 API

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix typo"
- Merge "Update deprecated name of Rsyslog container Image"
- Update deprecated name of Rsyslog container Image
- Fix typo

